Перейти до вмісту
AstroWay/api v2.19.0 · docs
усі системи в нормі
UA EN

Norn 3-Rune Cast

POST
/runes/three

Past/Present/Future (Urdr/Verdandi/Skuld).

curl -X POST https://api.astroway.info/v1/runes/three \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "seed": "..." }'
object
seed
Any of:
number
question
string
<= 400 characters
allowReversed
boolean
default: true
Example
{
"seed": "..."
}

Successful calculation

object
ok
boolean
Example
true
data
object
runes
Array

Validation error

Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?